Redmine - Patch #23108

Change Japanese translation for text_git_repository_note
2016-06-19 10:48 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Translations Estimated time: 0.00 hour
Target version: 3.4.0

Description

| suggest changing the translation from "Barel000000000000" to "000000000000".

* In official Japanese reference of Git v1 v2 , "bare repository" is translated as "I000000", not "barel0000".

e Current translation have a little bit strange feeling.

Associated revisions

Revision 15573 - 2016-06-19 12:47 - Jean-Philippe Lang

Change Japanese translation for text_git_repository_note (#23108).

Patch by Go MAEDA.

Revision 15574 - 2016-06-19 12:48 - Jean-Philippe Lang
Merged r15573 (#23108).

Revision 15577 - 2016-06-19 14:05 - Jean-Philippe Lang
Reverts r15573 (#23108, #23109).

Revision 15578 - 2016-06-19 14:07 - Jean-Philippe Lang
Merged r15577 (#23108, #23109).

Revision 15579 - 2016-06-19 14:08 - Jean-Philippe Lang
Removes #23108 from CHANGELOG (#23108, #23109).

Revision 15580 - 2016-06-19 14:08 - Jean-Philippe Lang
Merged r15579 (#23108, #23109).

Revision 16032 - 2016-12-01 05:34 - Toshi MARUYAMA

Japanese translation for text_git_repository_note changed (#23108)

History

#1 - 2016-06-19 12:48 - Jean-Philippe Lang
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Committed, thanks.

#2 - 2016-06-19 13:56 - Toshi MARUYAMA
Go MAEDA wrote:

e Current translation have a little bit strange feeling.

See #9129.

#3 - 2016-06-19 14:09 - Jean-Philippe Lang

- Status changed from Closed to Reopened
https://git-scm.com/book/ja/v1/Git-%E3%82%B5%E3%83%BC%E3%83%90%E3%83%BC-%E3%82%B5%E3%83%BC%E3%83%90%E3%83%BC%E7%94%A8%E3%81%AE-Git-%E3%81%AE%E5%8F%96%E5%BE%97
https://git-scm.com/book/ja/v2/Git%E3%82%B5%E3%83%BC%E3%83%90%E3%83%BC-%E3%83%97%E3%83%AD%E3%83%88%E3%82%B3%E3%83%AB
https://www.redmine.org/issues/9129

- Assignee deleted (Jean-Philippe Lang)
- Target version deleted (3.3.0)

Change reverted for 3.3.0. | let you see with Toshi how to handle this.

#4 - 2016-06-19 14:14 - Toshi MARUYAMA

- Target version set to 3.4.0

I think this issue can be postponed to 3.4.0.
| have added note to #23109#note-1.

#5 - 2016-06-19 14:21 - Go MAEDA
Toshi MARUYAMA wrote (#23109#note-1):

r15573 (#23108) changed "Barel000000000000" to *000000000000".

This is regression of #9129 that changed English "Bare and local repository" to "Repository is bare and local".

~000000000000" means not "Repository is bare and local” ("000000bare00000000%. It means "local and bare repository”. "I000000" is one word
in Japanese, so "BarellI0000000000" seems to be strange.

#6 - 2016-06-19 14:24 - Toshi MARUYAMA
I think "00(bare)1000000000" is better.

#7 - 2016-06-19 14:32 - Toshi MARUYAMA
Go MAEDA wrote:
Toshi MARUYAMA wrote (#23109#note-1):
r15573 (#23108) changed "Bare000000000000" to "000000000000".

This is regression of #9129 that changed English "Bare and local repository" to "Repository is bare and local".

000000000000 means not "Repository is bare and local” ("000000bare00000000". It means "local and bare repository". "I000000" is one
word in Japanese, so "Barell00000000000" seems to be strange.

Yes. But | thought "000000Barel0000" is more strange in Japanese at five years ago (#9129).

#8 - 2016-06-19 14:44 - Go MAEDA
Toshi MARUYAMA wrote:

I think "00(bare)0000000000" is better.
The expression "I0000000" and "000000000000" are not so typical. Google returns only 1 result for "00000000".

https://www.google.co.jp/webhp?hl=ja&ictx=2&sa=X&ved=0ahUKEwiBiPjfi7TNAhWDVZQKHRfEDhMQPQgD#hl=ja&q=%22%E3%83%99%E3%82%
A2%E3%81%AAY%E3%83%AAY%E3%83%9D%E3%82%B8%E3%83%88%E3%83%AA%22

Yes. But | thought "00000Barel0000" is more strange in Japanese at five years ago (#9129).

I agree with you about this. And I think "BarelI00000000000" is also not so natural. So | have suggested changing it to "000000000000.
*000000000000" expressing "oare and local”, isn't it?

#9 - 2016-06-19 15:02 - Toshi MARUYAMA

There were many FAQs "Why Redmine does not work on non bare?" (#9129#note-6).
So it is "bare and local", not "local and bare".

000000000000 means "local bare repository".

| cannot accept.

#10 - 2016-06-19 15:39 - Go MAEDA
Toshi MARUYAMA wrote:
There were many FAQs "Why Redmine does not work on non bare?" (#91294#note-6).

So it is "bare and local", not "local and bare".
000000000000 means "local bare repository”.
| cannot accept.

Itis very clear that "000000000000" saying that repository should be bare. Please explain why this is unacceptable?
#11 - 2016-06-19 15:45 - Toshi MARUYAMA
Go MAEDA wrote:
It is very clear that "000000000000" saying that repository should be bare. Please explain why this is unacceptable?

Shared repository should be bare. So bare is more important than local.
There is remote bare repository.

#12 - 2016-06-19 15:48 - Toshi MARUYAMA
Go MAEDA wrote:
Toshi MARUYAMA wrote:
I think "00(bare)1000000000" is better.
The expression "00000000" and "000000000000" are not so typical. Google returns only 1 result for "I0000000".

https://www.google.co.jp/webhp?hl=ja&ictx=2&sa=X&ved=0ahUKEw|BiPjfi7TNAhWDVZQKHRfEDhMQPQgD#hl=ja&q=%22%E3%83%99%E3%
82%A2%E3%81%AAY%E3%83%AAY%E 3%83%9D%E 3%82%B8%E 3%83%88%E3%83%AA%22

"barel00000" hits 225 results.
https://www.google.com/search?q=%22bare%E3%81%AAY%E 3%83%AA%E 3%83%9DY%E 3%82%B8%E 3%83%88%E3%83%AA%22

#13 - 2016-06-19 15:55 - Go MAEDA
Toshi MARUYAMA wrote:

Go MAEDA wrote:

It is very clear that "000000000000" saying that repository should be bare. Please explain why this is unacceptable?

Shared repository should be bare. So bare is more important than local.
There is remote bare repository.

"000000000000" says "local", there is no possibility of misunderstanding.

#14 - 2016-06-19 16:03 - Go MAEDA
Toshi MARUYAMA wrote:

"bare[l00000" hits 225 results.
https://www.google.com/search?q=%22bare%E3%81%AA%E3%83%AAY%E 3%83%9D%E3%82%B8%E3%83%88%E3%83%AAY%22

00000007 is more common. We can see 1610 results.
https://www.google.co.jp/search?q=%22%E3%83%99%E 3%82%A2%E 3%83%AA%E3%83%9ID%E3%82%B8%E3%83%88%E3%83%AA%22

#15 - 2016-06-19 16:17 - Toshi MARUYAMA
Go MAEDA wrote:

0000000" is more common. We can see 1610 results.
https://www.google.co.jp/search?q=%22%E3%83%99%E3%82%A2%E 3%83%AAY%E 3%83%9D%E3%82%B8%E3%83%88%E3%83%AA%22

| think 1610 results is NOT common.
And | think "bare" should not be translated to "[I" because it is confusing with bear.

#16 - 2016-06-19 16:43 - Toshi MARUYAMA
Go MAEDA wrote:

*000000000000" says "local”, there is no possibility of misunderstanding.
If the person does not know "bare".
$ git init repo

Then, "Why does Redmine not work?"
-> "Because you didn't use --bare option."

But, in case of "l (bare)1000000000".
"What is bare?"
"Oh, | see. | need to use --bare option."

"00(bare)1000000000" reduces misunderstanding than "000000000000".

#17 - 2016-07-02 05:54 - Go MAEDA
Toshi MARUYAMA wrote:

"DD(bare)DDDDDDDDDD" reduces misunderstanding than -100000000o0a-.

How about changing it to "0000000¢0000)"? Official git website uses "0000000" and the term is very common, so googling about it is very easy for
everyone.

I feel "00000000" strange.

#18 - 2016-07-02 06:31 - Toshi MARUYAMA
Go MAEDA wrote:

e In official Japanese reference of Git , "bare repository” is translated as "I000000", not "barel0000".

| don't think it is official.

It is one of arbitrary translations.
https://github.com/progit/progit/blame/2d5a6cfa9f94028be6f96c03cf2138c7655a0e46/ja/04-git-server/01-chapter4.markdown#L 9
There is no official Japanese translation.

https://qgithub.com/qit/git/tree/cf4c2cfe52be5bd973a4838f73a/po

Simplified Chinese has official glossary.
https://github.com/qit/git/blob/cf4c2cfe52be5bd973a4838f73a35d3959ce2f43/po/zh_CN.po#L 26

bare repository | 000

#19 - 2016-07-02 06:43 - Toshi MARUYAMA

| have created issue.
https://github.com/progit/progit/issues/951

#20 - 2016-07-02 07:00 - Toshi MARUYAMA
Go MAEDA wrote:

¢ |n official Japanese reference of Git

This is v1.

V2 is

https://qit-scm.com/book/ja/v2/Git%E3%82%B5%E3%83%BC %E3%83%90%E3%83%BC-%E3%83%97 %E3%83%AD % E3%83%88%E3%82%B3%
E3%83%AB

#21 - 2016-07-02 07:02 - Toshi MARUYAMA

- Description updated

#22 - 2016-07-02 07:08 - Toshi MARUYAMA

| have created v2 ja issue.
https://github.com/proqit/progit2-ja/issues/98

#23 - 2016-07-02 07:10 - Toshi MARUYAMA
Toshi MARUYAMA wrote:
There is no official Japanese translation.
https://github.com/git/git/tree/cf4c2cfe52be5bd973a4838f73a/po

Simplified Chinese has official glossary.
https:/github.com/qit/git/blob/cf4c2cfe52bebbd973a4838f73a35d3959ce2f43/po/zh_CN.po#l 26

bare repository | 000

-000oooo-

https://github.com/progit/progit2-ja/issues/29

#24 - 2016-07-04 05:28 - Toshi MARUYAMA
Toshi MARUYAMA wrote:

| have created v2 ja issue.
https://github.com/proqit/progit2-ja/issues/98

Accepted.
https://github.com/progit/progit2-ja/commit/34a99ee963a50225c9baab1e14ace6d52164b49a

#25 - 2016-07-04 05:43 - Go MAEDA
Toshi MARUYAMA wrote:

Accepted.
https://github.com/progit/progit2-ja/commit/34a99ee963a50225c9baab1ei14ace6d52164b49a

Nice work. Can you accept "1000000(bare)10000" as a new translation for text_git_repository_note?

#26 - 2016-12-01 06:03 - Toshi MARUYAMA
Committed in trunk r16032, thanks.

#27 - 2016-12-01 06:05 - Toshi MARUYAMA

- Status changed from Reopened to Closed
